VULKAN_HPP_NAMESPACE::PoolFree< OwnerType, PoolType, Dispatch > Class Template Reference

`#include <vulkan.hpp>`

## Public Member Functions

| PoolFree (OwnerType owner=OwnerType(), PoolType pool=PoolType(), Dispatch const &dispatch=Dispatch())
OwnerType | getOwner () const
PoolType | getPool () const

## Protected Member Functions

template<typename T >
void | destroy (T t)

## Private Attributes

OwnerType | m_owner
PoolType | m_pool
Dispatch const * | m_dispatch

## Detailed Description

### template<typename OwnerType, typename PoolType, typename Dispatch>
class VULKAN_HPP_NAMESPACE::PoolFree< OwnerType, PoolType, Dispatch >

Definition at line 2591 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PoolFree()

template<typename OwnerType , typename PoolType , typename Dispatch >

VULKAN_HPP_NAMESPACE::PoolFree< OwnerType, PoolType, Dispatch >::PoolFree | ( | OwnerType | owner = `OwnerType()`,
|  | PoolType | pool = `PoolType()`,
|  | Dispatch const & | dispatch = `Dispatch()`
| ) |  |

inline

Definition at line 2594 of file vulkan.hpp.

: m_owner( owner )
, m_pool( pool )
, m_dispatch( &dispatch )
{}

## Member Function Documentation

## destroy()

template<typename OwnerType , typename PoolType , typename Dispatch >
template<typename T >

void VULKAN_HPP_NAMESPACE::PoolFree< OwnerType, PoolType, Dispatch >::destroy | ( | T | t | ) |

inline protected

Definition at line 2605 of file vulkan.hpp.

{
m_owner.free( m_pool, t, *m_dispatch );
}

References VULKAN_HPP_NAMESPACE::PoolFree< OwnerType, PoolType, Dispatch >::m_dispatch, VULKAN_HPP_NAMESPACE::PoolFree< OwnerType, PoolType, Dispatch >::m_owner, and VULKAN_HPP_NAMESPACE::PoolFree< OwnerType, PoolType, Dispatch >::m_pool.

## getOwner()

template<typename OwnerType , typename PoolType , typename Dispatch >

OwnerType VULKAN_HPP_NAMESPACE::PoolFree< OwnerType, PoolType, Dispatch >::getOwner | ( |  | ) | const

inline

Definition at line 2600 of file vulkan.hpp.

{ return m_owner; }

References VULKAN_HPP_NAMESPACE::PoolFree< OwnerType, PoolType, Dispatch >::m_owner.

## getPool()

template<typename OwnerType , typename PoolType , typename Dispatch >

PoolType VULKAN_HPP_NAMESPACE::PoolFree< OwnerType, PoolType, Dispatch >::getPool | ( |  | ) | const

inline

Definition at line 2601 of file vulkan.hpp.

{ return m_pool; }

References VULKAN_HPP_NAMESPACE::PoolFree< OwnerType, PoolType, Dispatch >::m_pool.

## Field Documentation

## m_dispatch

template<typename OwnerType , typename PoolType , typename Dispatch >

Dispatch const* VULKAN_HPP_NAMESPACE::PoolFree< OwnerType, PoolType, Dispatch >::m_dispatch

private

Definition at line 2613 of file vulkan.hpp.

Referenced by VULKAN_HPP_NAMESPACE::PoolFree< OwnerType, PoolType, Dispatch >::destroy().

## m_owner

template<typename OwnerType , typename PoolType , typename Dispatch >

OwnerType VULKAN_HPP_NAMESPACE::PoolFree< OwnerType, PoolType, Dispatch >::m_owner

private

Definition at line 2611 of file vulkan.hpp.

Referenced by VULKAN_HPP_NAMESPACE::PoolFree< OwnerType, PoolType, Dispatch >::destroy(), and VULKAN_HPP_NAMESPACE::PoolFree< OwnerType, PoolType, Dispatch >::getOwner().

## m_pool

template<typename OwnerType , typename PoolType , typename Dispatch >

PoolType VULKAN_HPP_NAMESPACE::PoolFree< OwnerType, PoolType, Dispatch >::m_pool

private

Definition at line 2612 of file vulkan.hpp.

Referenced by VULKAN_HPP_NAMESPACE::PoolFree< OwnerType, PoolType, Dispatch >::destroy(), and VULKAN_HPP_NAMESPACE::PoolFree< OwnerType, PoolType, Dispatch >::getPool().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PoolFree::m_pool
PoolType m_pool
Definition: vulkan.hpp:2612
VULKAN_HPP_NAMESPACE::PoolFree::m_owner
OwnerType m_owner
Definition: vulkan.hpp:2611
t
GLdouble GLdouble t
Definition: SDL_opengl.h:2071
VULKAN_HPP_NAMESPACE::PoolFree::m_dispatch
Dispatch const * m_dispatch
Definition: vulkan.hpp:2613